# HG changeset patch
# Node ID 3e554b02f954
# Parent  8c296ed85b26
diff --git a/doc/reference/pidgin/meson.build b/doc/reference/pidgin/meson.build
--- a/doc/reference/pidgin/meson.build
+++ b/doc/reference/pidgin/meson.build
@@ -27,7 +27,6 @@ if get_option('doc')
 			'--add-include-path=@0@'.format(meson.global_build_root() / 'subprojects/gplugin/gplugin'),
 			'--add-include-path=@0@'.format(meson.global_build_root() / 'subprojects/gplugin/gplugin-gtk4'),
 			'--add-include-path=@0@'.format(meson.project_build_root() / 'libpurple'),
-			'--add-include-path=@0@'.format(meson.global_build_root() / 'subprojects/talkatu/talkatu'),
 			'@INPUT1@'
 		],
 		depends: [ libpurple_gir[0] ],
diff --git a/doc/reference/pidgin/pidgin.toml.in b/doc/reference/pidgin/pidgin.toml.in
--- a/doc/reference/pidgin/pidgin.toml.in
+++ b/doc/reference/pidgin/pidgin.toml.in
@@ -7,7 +7,7 @@ authors = "Pidgin Developers"
 logo_url = ""
 license = "GPL-2.0-or-later"
 description = "Pidgin Universal Chat Client"
-dependencies = [ "GLib-2.0", "GObject-2.0", "Gtk-4.0", "Purple-3.0", "GPlugin-1.0", "GPlugin-Gtk4-1.0", "Talkatu-0.0" ]
+dependencies = [ "GLib-2.0", "GObject-2.0", "Gtk-4.0", "Purple-3.0", "GPlugin-1.0", "GPlugin-Gtk4-1.0" ]
 devhelp = true
 search_index = true
 
@@ -41,11 +41,6 @@ search_index = true
   description = "GPlugin Gtk4 Widget Library"
   docs_urls = "https://docs.imfreedom.org/gplugin-gtk4/"
 
-  [dependencies."Talkatu-0.0"]
-  name = "Talkatu"
-  description = "Talkatu Gtk Chat Widgets"
-  docs_urls = "https://docs.imfreedom.org/talkatu/"
-
 [theme]
 name = "basic"
 show_index_summary = true
diff --git a/doc/reference/pidgin/urlmap.js b/doc/reference/pidgin/urlmap.js
--- a/doc/reference/pidgin/urlmap.js
+++ b/doc/reference/pidgin/urlmap.js
@@ -9,5 +9,4 @@ baseURLs = [
     [ 'GPlugin-Gtk4', 'https://docs.imfreedom.org/gplugin-gtk4/' ],
     [ 'Gtk', 'https://docs.gtk.org/gtk4/' ],
     [ 'Purple3', 'https://docs.imfreedom.org/purple3/' ],
-    [ 'Talkatu', 'https://docs.imfreedom.org/talkatu/' ],
 ]
diff --git a/im.pidgin.Pidgin3.yml b/im.pidgin.Pidgin3.yml
--- a/im.pidgin.Pidgin3.yml
+++ b/im.pidgin.Pidgin3.yml
@@ -13,7 +13,6 @@ finish-args:
   - --system-talk-name=org.freedesktop.Avahi
 modules:
   - packaging/flatpak/libpurple-common.yml
-  - packaging/flatpak/talkatu.yml
   - name: pidgin3
     buildsystem: meson
     config-opts:
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -195,10 +195,6 @@ endif
 if get_option('gtkui')
 	gtk = dependency('gtk4', version : '>= 4.10.0')
 	libadwaita = dependency('libadwaita-1', version : '>= 1.2')
-
-	talkatu_dep = dependency('talkatu',
-		version: '>=0.2.0',
-		fallback: ['talkatu', 'talkatu_dep'])
 endif	# GTK
 
 ENABLE_GTK = get_option('gtkui')
diff --git a/packaging/flatpak/talkatu.yml b/packaging/flatpak/talkatu.yml
deleted file mode 100644
--- a/packaging/flatpak/talkatu.yml
+++ /dev/null
@@ -1,19 +0,0 @@
----
-name: talkatu
-buildsystem: meson
-config-opts:
-  - -Ddoc=false
-  - -Dtests=false
-cleanup:
-  - /bin
-  - /include
-  - /lib/pkgconfig
-  - /share/man
-sources:
-  - type: archive
-    url: https://keep.imfreedom.org/talkatu/talkatu/archive/8fc3991a77d0.tar.gz
-    sha256: cff53b8127613691ddd7bb87284ae2944977ab7a8cc2be85f0aee10b274d0fbe
-modules:
-  - external/cmark.yml
-  - external/gspell-1.yml
-  - external/gumbo.yml
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -214,7 +214,6 @@ install_headers(libpidgin_prefs_headers,
 	json,
 	libadwaita,
 	math,
-	talkatu_dep,
 	libpurple_dep,
 ]
 
@@ -240,7 +239,7 @@ libpidgin_dep = declare_dependency(
     include_directories : [toplevel_inc, libpidgin_inc],
     link_with : libpidgin,
     sources : libpidgin_built_headers,
-    dependencies : [gtk, glib, libadwaita, math, talkatu_dep, gplugin_gtk_dep])
+    dependencies : [gtk, glib, libadwaita, math, gplugin_gtk_dep])
 
 executable('pidgin3',
     pidgin_SOURCES,
@@ -260,7 +259,7 @@ pkgconfig.generate(
     filebase : pidgin_filebase,
     subdirs : pidgin_filebase,
     # NOTE: Don't use dependencies from subprojects.
-    requires : [gtk, libadwaita, libpurple, 'talkatu', 'gplugin-gtk4'],
+    requires : [gtk, libadwaita, libpurple, 'gplugin-gtk4'],
     variables : [f'plugindir=${libdir}/pidgin-@purple_major_version@'])
 
 if host_machine.system() != 'windows'
@@ -292,13 +291,13 @@ if enable_introspection
 	pidgin_gir = gnome.generate_gir(libpidgin,
 		sources : introspection_sources,
 		header : 'pidgin.h',
-		includes : ['GLib-2.0', 'GObject-2.0', 'Gtk-4.0', libpurple_gir[0], 'Talkatu-0.0'],
+		includes : ['GLib-2.0', 'GObject-2.0', 'Gtk-4.0', libpurple_gir[0]],
 		namespace : 'Pidgin',
 		symbol_prefix : 'pidgin',
 		identifier_prefix : 'Pidgin',
 		export_packages : f'pidgin-@purple_major_version@',
 		nsversion : f'@purple_major_version@.@purple_minor_version@',
-		dependencies : [gplugin_dep, gplugin_gtk_dep, talkatu_dep, libpurple_dep],
+		dependencies : [gplugin_dep, gplugin_gtk_dep, libpurple_dep],
 		install : true,
 		extra_args : ['-DPIDGIN_COMPILATION', '--quiet'])
 endif
diff --git a/scripts/homebrew.ini b/scripts/homebrew.ini
--- a/scripts/homebrew.ini
+++ b/scripts/homebrew.ini
@@ -31,10 +31,5 @@ lua = false
 python3 = false
 vapi = false
 
-[talkatu:project options]
-doc = false
-introspection = false
-vapi = false
-
 [binaries]
 xgettext = homebrew_prefix / 'opt/gettext/bin/xgettext'
diff --git a/subprojects/talkatu.wrap b/subprojects/talkatu.wrap
deleted file mode 100644
--- a/subprojects/talkatu.wrap
+++ /dev/null
@@ -1,4 +0,0 @@
-[wrap-hg]
-directory = talkatu
-url = https://keep.imfreedom.org/talkatu/talkatu
-revision = v0.2.0
